io.agora.rtc

## Class VadProcessResult

- java.lang.Object
- - io.agora.rtc.VadProcessResult

-     public class VadProcessResult
      extends java.lang.Object

  This class represents the result of a Voice Activity Detection (VAD) process.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `outFrame` The output frame after VAD processing
    `private Constants.VadState` | `state` The state of the VAD process

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VadProcessResult()` Constructor for VadProcessResult.
    `VadProcessResult(byte[] outFrame, Constants.VadState state)` Constructor for VadProcessResult.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getOutFrame()` Gets the output frame.
    `Constants.VadState` | `getState()` Gets the state of the VAD process.
    `void` | `setOutFrame(byte[] outFrame)` Sets the output frame.
    `void` | `setState(Constants.VadState state)` Sets the state of the VAD process.
    `java.lang.String` | `toString()` Returns a string representation of the VadProcessResult.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### outFrame

          private byte[] outFrame

      The output frame after VAD processing

    - #### state

          private Constants.VadState state

      The state of the VAD process

  - ### Constructor Detail

    - #### VadProcessResult

          public VadProcessResult()

      Constructor for VadProcessResult.

    - #### VadProcessResult

          public VadProcessResult(byte[] outFrame,
                                  Constants.VadState state)

      Constructor for VadProcessResult.
      Parameters:
        `outFrame` - The output frame after VAD processing
        `state` - The state of the VAD process

  - ### Method Detail

    - #### getOutFrame

          public byte[] getOutFrame()

      Gets the output frame.
      Returns:
        The output frame after VAD processing

    - #### setOutFrame

          public void setOutFrame(byte[] outFrame)

      Sets the output frame.
      Parameters:
        `outFrame` - The output frame after VAD processing

    - #### getState

          public Constants.VadState getState()

      Gets the state of the VAD process.
      Returns:
        The state of the VAD process

    - #### setState

          public void setState(Constants.VadState state)

      Sets the state of the VAD process.
      Parameters:
        `state` - The state of the VAD process

    - #### toString

          public java.lang.String toString()

      Returns a string representation of the VadProcessResult.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the object